[arch-commits] Commit in firefox/repos (3 files)

Jan de Groot jgc at archlinux.org
Sat Jun 13 12:17:08 EDT 2009


    Date: Saturday, June 13, 2009 @ 12:17:08
  Author: jgc
Revision: 42404

Merged revisions 42393 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/firefox/trunk

........
  r42393 | jgc | 2009-06-13 17:11:28 +0200 (Sat, 13 Jun 2009) | 2 lines
  
  upgpkg: firefox 3.0.11-1
      Fix urls to releasenotes, fix default startpage to not tell the user this browser is obsolete and insecure
........

Added:
  firefox/repos/extra-i686/browser-defaulturls.patch
    (from rev 42393, firefox/trunk/browser-defaulturls.patch)
Modified:
  firefox/repos/extra-i686/	(properties)
  firefox/repos/extra-i686/PKGBUILD

---------------------------+
 PKGBUILD                  |   26 +++++++++++++++-----------
 browser-defaulturls.patch |   26 ++++++++++++++++++++++++++
 2 files changed, 41 insertions(+), 11 deletions(-)


Property changes on: firefox/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /firefox/trunk:1-36900
   + /firefox/trunk:1-42403

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-06-13 16:07:07 UTC (rev 42403)
+++ extra-i686/PKGBUILD	2009-06-13 16:17:08 UTC (rev 42404)
@@ -2,12 +2,12 @@
 # Contributor: Jakub Schmidtke <sjakub at gmail.com>
 
 pkgname=firefox
-pkgver=3.0.10
+pkgver=3.0.11
 pkgrel=1
 pkgdesc="Standalone web browser from mozilla.org"
 arch=(i686 x86_64)
 license=('MPL' 'GPL' 'LGPL')
-depends=('xulrunner=1.9.0.10' 'desktop-file-utils')
+depends=('xulrunner=1.9.0.11' 'desktop-file-utils')
 makedepends=('zip' 'pkgconfig' 'diffutils' 'libgnomeui>=2.24.1' 'python' 'xorg-server')
 replaces=('firefox3')
 install=firefox.install
@@ -17,28 +17,32 @@
         firefox.desktop
         firefox-safe.desktop
         mozilla-firefox-1.0-lang.patch
-	mozbug421977.patch
-	firefox-appversion.patch)
-md5sums=('1012e835a5c130d18479bccdee240640'
+        mozbug421977.patch
+        firefox-appversion.patch
+        browser-defaulturls.patch)
+md5sums=('b509f7c05e9566ed290e2c098316c7c3'
          '8b6e5f7d0a9e3f64747a024cf8f12069'
          '68cf02788491c6e846729b2f2913bf79'
          '5e68cabfcf3c021806b326f664ac505e'
          'bd5db57c23c72a02a489592644f18995'
          '7976e3ff52e01af3388dfc3a479c4955'
-         'c6f27fca2e6bd2a570b271ec3ce35782')
+         'c6f27fca2e6bd2a570b271ec3ce35782'
+         '417deb9f5b62de91f3777fe526ebdf63')
 
 build() {
-  cd ${srcdir}/mozilla
+  cd "${srcdir}/mozilla"
 
-  patch -Np1 -i ${srcdir}/mozilla-firefox-1.0-lang.patch || return 1
+  patch -Np1 -i "${srcdir}/mozilla-firefox-1.0-lang.patch" || return 1
 
   # FS#10836: fixes backgroundcolor parsing with gnome
-  patch -Np0 -i ${srcdir}/mozbug421977.patch || return 1
+  patch -Np0 -i "${srcdir}/mozbug421977.patch" || return 1
 
-  patch -Np1 -i ${srcdir}/firefox-appversion.patch || return 1
+  patch -Np1 -i "${srcdir}/firefox-appversion.patch" || return 1
 
-  cp ${srcdir}/mozconfig .mozconfig
+  patch -Np0 -i "${srcdir}/browser-defaulturls.patch" || return 1
 
+  cp "${srcdir}/mozconfig" .mozconfig
+
   unset CFLAGS
   unset CXXFLAGS
 

Copied: firefox/repos/extra-i686/browser-defaulturls.patch (from rev 42393, firefox/trunk/browser-defaulturls.patch)
===================================================================
--- extra-i686/browser-defaulturls.patch	                        (rev 0)
+++ extra-i686/browser-defaulturls.patch	2009-06-13 16:17:08 UTC (rev 42404)
@@ -0,0 +1,26 @@
+--- browser/branding/unofficial/locales/browserconfig.properties~	2009-06-13 17:04:42.000000000 +0200
++++ browser/branding/unofficial/locales/browserconfig.properties	2009-06-13 17:05:28.000000000 +0200
+@@ -1,3 +1,3 @@
+ # Do NOT localize or otherwise change these values
+-browser.startup.homepage=http://www.mozilla.org/projects/granparadiso/
++browser.startup.homepage=http://www.google.com/firefox
+ 
+--- browser/branding/unofficial/pref/firefox-branding.js~	2009-06-13 16:57:53.000000000 +0200
++++ browser/branding/unofficial/pref/firefox-branding.js	2009-06-13 16:59:17.000000000 +0200
+@@ -1,5 +1,5 @@
+-pref("startup.homepage_override_url","http://www.mozilla.org/projects/%APP%/%VERSION%/whatsnew/");
+-pref("startup.homepage_welcome_url","http://www.mozilla.org/projects/%APP%/%VERSION%/firstrun/");
++pref("startup.homepage_override_url","http://www.mozilla.com/%APP%/%VERSION%/whatsnew/");
++pref("startup.homepage_welcome_url","http://www.mozilla.com/%APP%/%VERSION%/firstrun/");
+ // URL user can browse to manually if for some reason all update installation
+ // attempts fail.
+ pref("app.update.url.manual", "http://www.mozilla.org/products/%APP%/");
+@@ -8,7 +8,7 @@
+ pref("app.update.url.details", "http://www.mozilla.org/projects/%APP%/");
+ 
+ // Release notes URL
+-pref("app.releaseNotesURL", "http://www.mozilla.org/projects/%APP%/%VERSION%/releasenotes/");
++pref("app.releaseNotesURL", "http://www.mozilla.com/%APP%/%VERSION%/releasenotes/");
+ 
+ // Search codes belong only in builds with official branding
+ pref("browser.search.param.yahoo-fr", "");



More information about the arch-commits mailing list